@echo off
REM *****************************************************************
REM This command file copies the configuration files that are used
REM by MQ Integrator RULES and FORMAT GUIs to the bin directory under 
REM the Integrator install path and then imports them.
REM *****************************************************************

REM define a variable for the MQSeries Integrator bin directory

echo Copying the RULES data to the MQSeries Integrator \bin directory
copy %TSDEMOPATH%\sdk\stp\testdrive\build\cmd\STPrules.exp %MQI%\bin
echo.

echo Copying the FORMAT data to the MQSeries Integrator \bin directory
copy %TSDEMOPATH%\sdk\stp\testdrive\build\cmd\STPformats.exp %MQI%\bin
echo.

echo Set the DB2INSTANCE environment variable to DB2
set db2instance=db2
echo.

echo Changing directory to the MQSeries Integrator \bin directory
pushd %MQI%\bin
echo.

echo Importing the FORMAT data
nnfie -i STPformats.exp -s new_format_demo
echo.

echo Importing the RULES data
nnrie -i STPRules.exp -s rules
echo.

pause
exit
