@echo off
REM **********************************************************
REM Start a command prompt in the MQI\bin directory
REM Usage:
REM   RunMQSICmdPrompt         - open cmd prompt in MQI\bin
REM   RunMQSICmdPrompt APITEST - runs apitest in MQI\bin
REM   RunMQSICmdPrompt MSGTEST - runs msgtest in MQI\bin
REM   RunMQSICmdPrompt RULETEST - runs ruletest in MQI\bin
REM **********************************************************
SET DB2INSTANCE=DB2
REM ### Setup
title MQSI Command Prompt
echo MQSeries Integrator \bin directory = %MQI%\bin
echo. 
pushd %MQI%\bin

REM ### Building commands
set EXAMPLE=echo Example input might be:-
set IPFILE=echo Input file    = %TSDEMOPATH%\sdk\stp\TestDrive\config\cmd\trader.txt
set OPFILE=echo Output file   = %TSDEMOPATH%\sdk\stp\TestDrive\config\cmd\out.txt for example (use notepad to view this) 
set IPFORMAT=echo Input format  = Trader
set MSGTYPE=echo Message Type  = Trader
set OPFORMAT=echo Output format = SWIFTCompound
set SESSNAME=echo Session Name  = rules
set APPGRP=echo Appl grp name = STP
set RULES=echo Use Verbose and reload rules for RULESTEST


REM ### Parse input
if "%1"=="APITEST" goto apitest
if "%1"=="MSGTEST" goto msgtest
if "%1"=="RULETEST" goto ruletest
if "%1"=="" goto BlankWindow
echo Invalid call to RunMQSICmdPrompt, parm1 = %1 
pause
exit

:BlankWindow
set CMDSTRING="%EXAMPLE% && %IPFILE% && %OPFILE% && %IPFORMAT% && %OPFORMAT% && echo."
start "MQSI Command Prompt" cmd.exe  /K %CMDSTRING%
exit

:apitest
set CMDSTRING="%EXAMPLE% && %IPFILE% && %IPFORMAT% && echo. && apitest"
start "MQSI Command Prompt - APITEST" cmd.exe /K %CMDSTRING%
exit

:msgtest
set CMDSTRING="%EXAMPLE% && %IPFILE% && %OPFILE% && %IPFORMAT% && %OPFORMAT% && echo. && msgtest"
start "MQSI Command Prompt - MSGTEST" cmd.exe /K %CMDSTRING%
exit

:ruletest
set CMDSTRING="%EXAMPLE% && %SESSNAME% && %IPFILE% && %APPGRP% && %MSGTYPE% && %RULES% && echo. && ruletest"
start "MQSeries Integrator - RULETEST" cmd.exe /K %CMDSTRING%
exit

