@echo off
REM ###############################################
REM # RESET THE MACHINE AFTER HAVING RUN THE SDK  #
REM # Parms - "pbcalctr" to reset pbcalctr only   #
REM #       - "vbcalctr" to reset vbcalctr only   #
REM #       - "dispatch" to reset dispatch only   #
REM #       - "trader"  to reset trader only      #
REM #       - "b2b" to reset b2b backend only     #
REM #       - "vin" to reset vin query only       #
REM #       - "examples" to reset VB examples only#
REM #       - "crm" to reset Cust Rel Mngmnt only #
REM #       - "mqi" to reset MQIntegrator only    #
REM #       - "nc" to reset Net.Commerce only     #
REM #       - "ftf" to reset supermart only       #
REM #       - "" to reset all                     #
REM ###############################################
REM This file will attempt the following...
REM - delete MQ qmgr
REM - drop DB/2 database DBMSERV
title Resetting SDK

echo Resetting the SDK... > %TEMP%\resetSDK.log 2>&1
echo. >> %TEMP%\resetSDK.log 2>&1

REM Parse input
if "%1"=="MOTOR" goto setvars
if not "%1"=="" goto invalidinput
goto setvars

REM Set path variables
:setvars
REM Default settings are c:\var and c:\www\
echo --- Variables >> %TEMP%\resetSDK.log 2>&1
set CICS=@CICS
set ICS=@ICS
echo CICS = %CICS% >> %TEMP%\resetSDK.log 2>&1
echo ICS  = %ICS% >> %TEMP%\resetSDK.log 2>&1

REM #### MQ #####
echo Stopping MQ Queuemgr...
echo Stopping MQ Queuemgr... >> %TEMP%\resetSDK.log 2>&1
endmqm -i default2 >> %TEMP%\resetSDK.log 2>&1
echo. >> %TEMP%\resetSDK.log 2>&1
echo Deleting MQ Queuemgr...
echo Deleting MQ Queuemgr... >> %TEMP%\resetSDK.log 2>&1
dltmqm default2 >> %TEMP%\resetSDK.log 2>&1
echo. >> %TEMP%\resetSDK.log 2>&1

REM #### DB2 #####
echo Stopping DB/2
echo Stopping DB/2 >> %TEMP%\resetSDK.log 2>&1
DB2STOP >> %TEMP%\resetSDK.log 2>&1
echo. >> %TEMP%\resetSDK.log 2>&1

if "%1"=="MOTOR" goto MOTOR0

:MOTOR0
REM #################################################################################
REM #    CreateClaim    O N L Y                                   
REM #################################################################################
if "%1"=="MOTOR" goto MOTOR1
if "%1"=="" goto MOTOR1
goto bypassMOTOR

:MOTOR1
echo Deleting CreateClaim step file...
echo Deleting CreateClaim step file... >> %TEMP%\resetSDK.log 2>&1 
erase %temp%\MOTORstep.cmd >> %TEMP%\resetSDK.log 2>&1
erase %temp%\MOTORretn.cmd >> %TEMP%\resetSDK.log 2>&1

:bypassMOTOR



:notepad
start notepad %TEMP%\resetSDK.log

:exit
exit
