@echo off
Title Preparing to call the reset code

rem *** Get a list of all running processes and services
ps > process.out
net start > service.out

rem *** test to see whether the end all tasks has been run
Findstr /c:"MQI Rules Engine" process.out > nul 2>&1
if "%errorlevel%"=="0" goto RulesEngineRunning

Findstr /c:"MQ Listener" process.out > nul 2>&1
if "%errorlevel%"=="0" goto MQListenerRunning

rem *** Apparently The MQSeries Service can still be running
rem Findstr /c:"IBM MQSeries" service.out > nul 2>&1
rem if "%errorlevel%"=="0" goto MQRunning


rem --------------- CLEAN EXIT ---------------
:OK
copy Reset_MQI_TD.cmd %TEMP%\Reset_MQI_TD.cmd
copy delay.exe %TEMP%\delay.exe
pushd %TEMP%
db2cmd reset_MQI_TD.cmd
exit

rem --------------- ERROR EXITS ---------------
:RulesEngineRunning
echo *** ERROR *** MQSeries Integrator Rules Engine running
goto ErrorExit
:MQListenerRunning
echo *** ERROR *** MQSeries Listener Running
goto ErrorExit  
:MQRunning
echo *** ERROR *** MQSeries Running
goto ErrorExit  

:ErrorExit
echo.
echo ***************************************************************************
echo * I M P O R T A N T   N O T E                                             *
echo * ---------------------------                                             *
echo * Before running the reset you should ensure that all the programs used   * 
echo * by theTestDrive have been terminated.  You can do this manually but the * 
echo * preferred way is to run the "End Test Drive Tasks" from the last step.  *
echo *                                                                         *
echo * Note: This program only reports the FIRST error found                   *
echo ***************************************************************************
echo.
pause
exit