@echo off
title Copying C++ DLLs used to compile MQSeries program
REM *******************************************************************************
REM This command file copies the required DLLs for the C++ compilations
REM Current directory when this .cmd file runs is %TSDEMOPATH%\sdk\mqicpp\TestDrive
REM *******************************************************************************

REM Set an environment variable for the C++ root directory

echo ... Copy the required C++ DLL files to the TestDrive directory.
echo Copying cppwm35i.dll 
copy %VAC%\bin\cppwm35i.dll 
echo cppwob3i.dll
copy %VAC%\bin\cppwob3i.dll
echo.

echo ... Checking copy worked
if not exist %TSDEMOPATH%\sdk\stp\TestDrive\build\cmd\cppwm35i.dll goto no_cppwm35i
if not exist %TSDEMOPATH%\sdk\stp\TestDrive\build\cmd\cppwob3i.dll goto no_cppwob3i
echo DLLs required for MQSeries copied successfully
goto pause

REM ---- Copy of cppwm35i.dll failed ----
:no_cppwm35i
echo ***ERROR*** Copy of DLL cppwm35i.dll failed
echo Failed copy was between: %VAC%\bin
echo                     and: %TSDEMOPATH%\SDK\STP\TestDrive
echo Without this DLL you will be unable to successfully compile STP C applications.
echo Please try and determine the cause of this error before continuing.
if not exist %TSDEMOPATH%\sdk\stp\TestDrive\config\cmd\cppwob3i.dll goto no_cppwob3i
goto pause
echo.

REM ---- Copy of cppwob3i.dll failed ----
:no_cppwob3i
echo ***ERROR*** Copy of DLL cppwob3i.dll failed
echo Failed copy was between: %VAC%\bin
echo                     and: %TSDEMPATH%\SDK\STP\TestDrive\BUILD\CMD
echo Without this DLL you will be unable to successfully compile STP C applications.
echo Please try and determine the cause of this error before continuing.
echo.
goto pause

:pause
echo.
pause
:exit
exit

REM --- COPYING VISUALAGE C++ RUNTIME EXECUTABLE TO SYSTEM DIRECTORY ---
REM Copying VisualAge C++ runtime DLLs to the TestDrive directory for the compile
REM echo Copying cppwm35i.dll 
REM copy ..\install\cppwm35i.dll 
REM echo cppwob3i.dll
REM copy ..\install\cppwob3i.dll
REM echo.
