@echo off
REM *****************************************************************
REM This command file creates tablespaces that will hold the 
REM database schema for MQSeries Integrator.
REM *****************************************************************

SET DB2INSTANCE=DB2
DB2START
DB2 CREATE DATABASE DBMSERV
DB2 CONNECT TO DBMSERV
DB2 CREATE TABLESPACE TOOLS MANAGED BY SYSTEM  USING ('%TSDEMOPATH%\tools')
DB2 CREATE TABLESPACE TEMP MANAGED BY SYSTEM  USING ('%TSDEMOPATH%\temp')
DB2 CREATE TABLESPACE FORMATTER_DATA MANAGED BY SYSTEM  USING ('%TSDEMOPATH%\formatter_data')
DB2 CREATE TABLESPACE FORMATTER_INDEX MANAGED BY SYSTEM  USING ('%TSDEMOPATH%\formatter_index')
DB2 CREATE TABLESPACE RULES_DATA MANAGED BY SYSTEM  USING ('%TSDEMOPATH%\rules_data')
DB2 CREATE TABLESPACE RULES_INDEX MANAGED BY SYSTEM  USING ('%TSDEMOPATH%\rules_index')
DB2 CREATE TABLESPACE NNF MANAGED BY SYSTEM  USING ('%TSDEMOPATH%\nnf')
DB2 CREATE TABLESPACE NNR MANAGED BY SYSTEM  USING ('%TSDEMOPATH%\nnr')
DB2 CREATE TABLESPACE NNP MANAGED BY SYSTEM  USING ('%TSDEMOPATH%\nnp')
DB2 CATALOG USER ODBC DATA SOURCE DBMSERV
DB2 LIST USER ODBC DATA SOURCES

pause
exit